#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QMessageBox>
#include "datadialog.h"
#include "enterdialog.h"
#include <QMenu>
#include <QClipboard>
#include <QMessageBox>


namespace Ui {
  class MainWindow;
}

class MainWindow : public QMainWindow
{
  Q_OBJECT

public:
  explicit MainWindow(QWidget *parent = 0);
  ~MainWindow();

private:
  Ui::MainWindow *ui;
  QSqlDatabase db;
  QString Password;
  DataDialog dd;

  //---------------------------

  void UpdateDataList();

private slots:
  void on_pushButton_clicked();
  void on_pushButton_2_clicked();
  void on_pushButton_3_clicked();

  void tableWidgetContextMenu(QPoint);
  void cm_CopyPass();
  void cm_Edit();
  void cm_Delete();
  void cm_CopyLogin();
  void cm_CopyDomain();


};

#endif // MAINWINDOW_H
